# Onboarding

{% hint style="info" %}
You can find our API documentation [here](https://demo.stage.fidentity.ch/docs). Detailed information is available on our [documentation page](https://docs.fidentity.ch/).
{% endhint %}

### Tenant Setup und API Credentials

The tenant uses the URL defined in the onboarding form:

* **Tenant URL:** yourURL
* **Dashboard URL:** yourURL/dashboard

The first user specified in the onboarding form should have received an email from us for dashboard registration (Admin). This user has the rights to invite additional users. Helpful Links:

* **Dashboard Registration:** <https://docs.fidentity.ch/dashboard/dashboard-login>
* **Invite Users:** <https://docs.fidentity.ch/dashboard/user-management>
* **Roles & Permissions:** <https://docs.fidentity.ch/dashboard/roles-and-permissions>

After registration, API credentials can be generated in the dashboard. The instructions can be found here: <https://docs.fidentity.ch/api/authentication-documentation>

### Variants & Process Flow

For qualified electronic signatures (QES), only the following three QES process types may be used:

* QesSignature/main
* QesSignature/identOnly
* QesSignature/signOnly

You can find corresponding scripts for each variant here:

* Main variant (complete QES process as one package): <https://docs.fidentity.ch/use-cases/qes/variations/main>
* Split variant (identification and signature handled separately): <https://docs.fidentity.ch/use-cases/qes/variations/split>

**Note:**\
Please note that using the process step “Signature” alone does not issue a qualified electronic signature.

### Verifikation methods

You have, by default, selected one of the three verification methods that we have preconfigured for your tenant. However, the verification method can also be controlled per process via the API using the qesConfig object in the POST request: <https://demo.stage.fidentity.ch/docs#tag/fidentity/POST/fidentity>

```
"qesConfig": {
"verificationType": "reviewonly",
},
```

**Note:**

Please note that identifications performed outside of review hours are queued for agent verification. It must be ensured that users are forwarded during the waiting period and, if necessary, returned to the fidentity process after the review on the following business day, to complete the signing.

fidentity provides ednpoint to support your processes:

* [**Reset endpoint:**](https://demo.stage.fidentity.ch/docs#tag/fidentity/post/fidentity/resetCustomer/{extId}) Resets a process back to the *started* state.
* [**Fresh link enpoint:**](https://demo.stage.fidentity.ch/docs#tag/fidentity/get/fidentity/refresh-link/{extId}) Generates a new link for an already existing process.

### Testing

Please test as early as possible with the PDF files that will later be used in production. Background: QES only accepts PDF/A documents. Early testing helps identify potential issues quickly.

Agent reviews in the Stage environment can be conducted directly via the dashboard:

1. Select the relevant process
2. Click the orange "Advanced Review" button

**Note:**\
Access to this view is only available with the "**Agent Reviewer"** role. This role can only be assigned by a fidentity admin. The individuals mentioned in the onboarding form have already been assigned this role in the stage environment. If additional team members require access, please contact us.

### Next Steps

Before the first technical discussion, please initiate 1–3 successful QES processes. This serves as a form of “qualification” and helps to better understand the process, enabling more targeted questions during the call.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fidentity.ch/use-cases/qes/onboarding.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
